Class | TkTextWin
In: | tk/lib/tk/txtwin_abst.rb
Parent: | TkWindow

### Methods

bbox delete get insert scan_dragto scan_mark see

### Constants

TkCommnadNames | = | [].freeze

### Public Instance methods

bbox(index)

def create_self

      fail RuntimeError, "TkTextWin is an abstract class"

end private :create_self

[Source]

    # File tk/lib/tk/txtwin_abst.rb, line 13
      def bbox(index)
        list(tk_send_without_enc('bbox', index))
      end

delete(first, last=None)

[Source]

    # File tk/lib/tk/txtwin_abst.rb, line 16
      def delete(first, last=None)
        tk_send_without_enc('delete', first, last)
        self
      end

get(*index)

[Source]

    # File tk/lib/tk/txtwin_abst.rb, line 20
      def get(*index)
        _fromUTF8(tk_send_without_enc('get', *index))
      end

insert(index, *args)

[Source]

    # File tk/lib/tk/txtwin_abst.rb, line 23
      def insert(index, *args)
        tk_send('insert', index, *args)
        self
      end

scan_dragto(x, y)

[Source]

    # File tk/lib/tk/txtwin_abst.rb, line 31
      def scan_dragto(x, y)
        tk_send_without_enc('scan', 'dragto', x, y)
        self
      end

scan_mark(x, y)

[Source]

    # File tk/lib/tk/txtwin_abst.rb, line 27
      def scan_mark(x, y)
        tk_send_without_enc('scan', 'mark', x, y)
        self
      end

see(index)

[Source]

    # File tk/lib/tk/txtwin_abst.rb, line 35
      def see(index)
        tk_send_without_enc('see', index)
        self
      end

[Validate]